Bug 1070204 - [abrt] gnome-shell: st_theme_node_reduce_border_radius(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: st_theme_node_reduce_border_radius(): gnome-shell killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae8fb43dd40b99d96a92b49af4e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-26 11:57 UTC by Alex Rain
Modified: 2015-06-29 19:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 19:07:05 UTC


Attachments (Terms of Use)
File: backtrace (169.85 KB, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: cgroup (159 bytes, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: core_backtrace (108.28 KB, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: dso_list (24.06 KB, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: environ (1.44 KB, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: limits (1.29 KB, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: maps (73.99 KB, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: open_fds (2.72 KB, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: proc_pid_status (803 bytes, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: var_log_messages (15.51 KB, text/plain)
2014-02-26 11:58 UTC, Alex Rain
no flags Details
File: exploitable (177 bytes, application/octet-stream)
2014-02-26 11:58 UTC, Alex Rain
no flags Details

Description Alex Rain 2014-02-26 11:57:55 UTC
Version-Release number of selected component:
gnome-shell-3.10.3-8.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
kernel:         3.13.3-201.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 st_theme_node_reduce_border_radius at st/st-theme-node-drawing.c:272
 #1 st_theme_node_paint_borders at st/st-theme-node-drawing.c:1597
 #2 st_theme_node_paint at st/st-theme-node-drawing.c:2480
 #3 st_widget_paint_background at st/st-widget.c:480
 #4 st_widget_paint at st/st-widget.c:489
 #5 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
 #6 g_type_class_meta_marshalv at gclosure.c:997
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 clutter_actor_continue_paint at ./clutter-actor.c:3934
 #11 clutter_actor_paint at ./clutter-actor.c:3858

Comment 1 Alex Rain 2014-02-26 11:58:01 UTC
Created attachment 867943 [details]
File: backtrace

Comment 2 Alex Rain 2014-02-26 11:58:03 UTC
Created attachment 867944 [details]
File: cgroup

Comment 3 Alex Rain 2014-02-26 11:58:05 UTC
Created attachment 867945 [details]
File: core_backtrace

Comment 4 Alex Rain 2014-02-26 11:58:08 UTC
Created attachment 867946 [details]
File: dso_list

Comment 5 Alex Rain 2014-02-26 11:58:10 UTC
Created attachment 867947 [details]
File: environ

Comment 6 Alex Rain 2014-02-26 11:58:12 UTC
Created attachment 867948 [details]
File: limits

Comment 7 Alex Rain 2014-02-26 11:58:15 UTC
Created attachment 867949 [details]
File: maps

Comment 8 Alex Rain 2014-02-26 11:58:18 UTC
Created attachment 867950 [details]
File: open_fds

Comment 9 Alex Rain 2014-02-26 11:58:20 UTC
Created attachment 867951 [details]
File: proc_pid_status

Comment 10 Alex Rain 2014-02-26 11:58:23 UTC
Created attachment 867952 [details]
File: var_log_messages

Comment 11 Alex Rain 2014-02-26 11:58:25 UTC
Created attachment 867953 [details]
File: exploitable

Comment 12 Fedora End Of Life 2015-05-29 11:04:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 19:07:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.